uk.gov.hmrc.ct.computations.calculations

# LowEmissionCarsCalculator

###
Related Doc: package calculations

#### trait LowEmissionCarsCalculator extends CtTypeConverters

Linear Supertypes
CtTypeConverters, AnyRef, Any
Known Subclasses
CP669, CP670, CPAux1, CPAux2, CPAux3, LEC10, LEC11, LEC12, LEC13
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. LowEmissionCarsCalculator
2. CtTypeConverters
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def calculateSpecialRatePoolBalancingCharge(cpq8: CPQ8, cp666: CP666, cp667: CP667, cpAux3: CPAux3): CP670

6. #### def calculateSpecialRatePoolWrittenDownValueCarriedForward(cpq8: CPQ8, cp666: CP666, cp667: CP667, cp668: CP668, cp670: CP670, cpAux3: CPAux3): CP669

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### implicit def convert(catoOptionalBigDecimal: CtOptionalBigDecimal): Option[BigDecimal]

   Definition Classes
     CtTypeConverters

9. #### implicit def convert(catoInt: CtOptionalInteger): Int

   Definition Classes
     CtTypeConverters

10. #### implicit def convert(catoInt: CtInteger): Int

    Definition Classes
      CtTypeConverters

11. #### implicit def convert(catoBoolean: CtOptionalBoolean): Boolean

    Definition Classes
      CtTypeConverters

12. #### implicit def convert(catoBoolean: CtBoolean): Boolean

    Definition Classes
      CtTypeConverters

13. #### def disposalsExceedsMainRatePool(lec01: LEC01, cp78: CP78, cp82: CP82, cp672: CP672): Boolean

14. #### def disposalsExceedsSpecialRatePool(lec01: LEC01, cp666: CP666, cp667: CP667): Boolean

15. #### def disposalsLessThanMainRatePool(lec01: LEC01, cp78: CP78, cp82: CP82, cp672: CP672): Boolean

16. #### def disposalsLessThanSpecialRatePool(lec01: LEC01, cp666: CP666, cp667: CP667): Boolean

17. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

18. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

19. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

20. #### val firstYearAllowance: String

21. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

22. #### def getFYAPoolSum(lec01: LEC01): Int

23. #### def getMainRatePoolSum(lec01: LEC01): Int

24. #### def getSpecialRatePoolSum(lec01: LEC01): Int

25. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

26. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

27. #### val mainRate: String

28. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

29. #### final def notify(): Unit

    Definition Classes
      AnyRef

30. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

31. #### val specialRate: String

32. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

33. #### def taxPoolForCar(car: Car): String

34. #### def toString(): String

    Definition Classes
      AnyRef → Any

35. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

36. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

37. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from CtTypeConverters

### Inherited from AnyRef

### Inherited from Any

### Ungrouped